Subject: Re: [PATCH 0/4] More work towards neigh-less dsts.

From: Steven Whitehouse <[email-masked]>
Date: Mon, 18 Jul 2011 10:11:28 +0100

Hi,

On Mon, 2011-07-18 at 01:24 -0700, David Miller wrote:
> This continues the effort to divorce neighbour from dst_entry as
> much as possible.
> 
> When we remove the routing cache, route entries will be fully generic
> and not specific to any particular keyed destination.  Therefore we'll
> need to lookup neigh entries dynamically, and quickly, at packet
> output time.
> 
> To that end, this series:
> 
> 1) Passes an explicit neighbour to packet out neigh_ops.
> 
> 2) Abstracts all dst->neighbour behind helpers to ease the
>    transition process.
> 
> 3) Adds a new dst_ops entry, ->neigh_lookup(), to provide a transition
>    scheme for dst->neighbour uses outside of the packet output path.
> 
> The next set of patches after this one will deal with all of
> the dst_get_neighbour() code paths, converting them over to
> dst_neigh_lookup()/neigh_release() sequences.
> 
> Then there will be a little bit of fiddling around in decnet since
> it's usage of dst->neighbour is still too tight in the packet output
> path.
> 
I've not actually tested the decnet changes, but I've read through them
all and I think it looks good. Likewise the neigh simplification patch
set.

Acked-by: Steven Whitehouse <[email-masked]>

Steve.

> Finally, we can kill dst->neighbour and do RCU neigh lookups in the
> packet output paths for all the protocols using the neighbour cache
> (ipv4, ipv6, decnet).
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html